Subject: Re: make always fails
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Michael Cook <[email-masked]>
Cc: [email-masked]
Date: Fri, 17 Nov 2000 11:13:30 -0500

Other than the fact that the makefile is handing a "-c" to a utility that
doesn't know about this, no.  You're going to have to figure out which 
utility that is and fix it.  This smacks of a "mixed environment" where 
the utility being used is not Cygwin (i.e. a like named Windows/DOS utility
for example).  Perhaps this tidbit will help you find the problem...

Larry

At 10:54 AM 11/17/2000, Michael Cook wrote:
>Thanks a ton! Now I got past those errors & am getting something new. Here's
>the output from the next step:
>~~~~~~~~~~~~~~~~
>~/temp/Net-Telnet-3.02 -> make
>'-c' is not recognized as an internal or external command,
>operable program or batch file.
>make: *** [blib\lib\Net\.exists] Error 1
>~~~~~~~~~~~~~~~~
>Any ideas on this one?
>Thanks!
>   Michael
>
>
>On Thu, 16 Nov 2000 21:37:42 -0500, Larry Hall (RFK Partners, Inc) wrote:
>
> >  OK, the file which I got was text format, not binary, although if you
>have 
> >  the latest tools, that shouldn't be a big problem.  Trying to run make on
>
> >  your Makefile, I immediately got:
> >  
> >  Makefile:270: *** missing separator.  Stop.
> >  
> >  Looking at that line, its obvious it doesn't have a tab at the start. 
>Adding
> >  one got me to the next one:
> >  
> >  Makefile:273: *** missing separator.  Stop.
> >  
> >  Looking through the file quickly, its clear that none of the commands
>that
> >  follow the rules are preceded by tabs.  make insists on this.  AFAICT, if
>
> >  you edit this file and put tabs in front of all commands associated with 
> >  rules, the problems you're having will go away.  Since I don't have Perl 
> >  installed, I didn't make the attempt to fix the makefile for you.  Once
>you
> >  resolve this issue, I won't guarantee you won't find some other one!;-)
> >  However, you should be much closer to a working makefile than you are
>now.
> >  
> >  Good luck,
> >  
> >  Larry
> >  
> >  
> >  At 07:30 PM 11/16/2000, you wrote:
> >  >Thanks for all the help! Here it is, if you'd like the package to see if
>it
> >  >works for you (requires Perl), let me know...
> >  >   Michael
> >  >On Thu, 16 Nov 2000 18:16:47 -0500, Larry Hall (RFK Partners Inc) wrote:
> >  >
> >  > >  If you want to zip up the Makefile and send it to me, I'll take a
>quick
> >  >look
> >  > >  to see if I see anything.  I'm no make guru of course though...
> >  > >  
> >  > >  Larry
> >  > >  
> >  > >  
> >  > >  At 05:03 PM 11/16/00, you wrote:
> >  > >  >Hi again,
> >  > >  >  The make failed before I looked at any special characters. Hmm...
> >  > >  >    Michael
> >  > >  >On Thu, 16 Nov 2000 15:57:34 -0500, Larry Hall (RFK Partners, Inc)
> >  >wrote:
> >  > >  >
> >  > >  >>  At 03:24 PM 11/16/2000, you wrote:
> >  > >  >>  >Thanks for the reply!
> >  > >  >>  >   The makefile looks good and I get this whatever I try to
>compile.
> >  >The
> >  > >  >>  >drive is mounted binary, but I will run his command & try again
> >  >anyway.
> >  > >  >When
> >  > >  >>  >I do a 'set list' in vi, I see ^I characters which I removed,
>but I
> >  > >  >don't
> >  > >  >>  
> >  > >  >>  
> >  > >  >>  Egads!  Don't do that!  Make assumes that all statements after a
>rule
> >  >are
> >  > >  >
> >  > >  >>  preceded by a tab.  Leave the ^I's in there.  The complaint
>you're
> >  > >  >getting
> >  > >  >>  is an indication of exactly this issue!
> >  > >  >>  
> >  > >  >>  
> >  > >  >>  >see ^M characters. When I do a 'cat -vet Makefile' I see ^M
> >  >characters.
> >  > >  >>  >Should (& how should) I remove these?
> >  > >  >>  
> >  > >  >>  
> >  > >  >>  That's odd.  Could you be using something other than the latest
> >  >version
> >  > >  >of
> >  > >  >>  cat (that comes with Cygwin)?  
> >  > >  >>  
> >  > >  >>  You can get rid of carriage returns by piping the results
>through tr.
> >  > >  >>  
> >  > >  >>  
> >  > >  >>  >   Thanks again!!!
> >  > >  >>  >     Michael
> >  > >  >>  >
> >  > >  >>  >On Thu, 16 Nov 2000 15:03:11 -0500, Larry Hall (RFK Partners,
>Inc)
> >  > >  >wrote:
> >  > >  >>  >
> >  > >  >>  > >  OK, did you check the makefile?  Does it look OK at that
>line? 
> >  >How
> >  > >  >about
> >  > >  >>  > >  carriage returns?  Are there any in the file?  If so, you
>might
> >  >try
> >  > >  >>  >Earnie
> >  > >  >>  > >  Boyd's suggestion about mounting /cygdrive as binary.  If
>you
> >  > >  >haven't 
> >  > >  >>  > >  updated all of Cygwin recently (within the last couple of
>days),
> >  > >  >this 
> >  > >  >>  > >  would be a good step to take as well.
> >  > >  >>  > >  
> >  > >  >>  > >  Larry
> >  > >  >>  > >  
> >  > >  >>  > >  
> >  > >  >>  > >  At 02:29 PM 11/16/2000, you wrote:
> >  > >  >>  > >  >Hi,
> >  > >  >>  > >  >   Thanks for the response! below is a capture of the
>data.
> >  > >  >>  > >  >     Michael
> >  > >  >>  > >  >
> >  > >  >>  > >  >~~~~~~~~~~~~~~~~~~~~~~~~~~~
> >  > >  >>  > >  >~/temp -> ls -l
> >  > >  >>  > >  >total 65
> >  > >  >>  > >  >-rw-r--r--   1 mcook    None       133120 Oct 27 15:32
> >  > >  >>  >Net-Telnet-3.02.tar
> >  > >  >>  > >  >~/temp -> tar xfp Net-Telnet-3.02.tar
> >  > >  >>  > >  >~/temp -> cd Net-Telnet-3.02
> >  > >  >>  > >  >~/temp/Net-Telnet-3.02 -> tail -35 README
> >  > >  >>  > >  >
> >  > >  >>  > >  >   Installation
> >  > >  >>  > >  >   ------------
> >  > >  >>  > >  >
> >  > >  >>  > >  >     To install, cd to the directory containing the
>unpacked
> >  > >  >>  > >  >     distribution and do one of the following:
> >  > >  >>  > >  >
> >  > >  >>  > >  >     a.  Create a makefile by running Makefile.PL using
>the
> >  >perl
> >  > >  >>  > >  >         program into whose library you want to install
>and
> >  >then
> >  > >  >run
> >  > >  >>  > >  >         make three times:
> >  > >  >>  > >  >
> >  > >  >>  > >  >             perl Makefile.PL
> >  > >  >>  > >  >             make
> >  > >  >>  > >  >             make test
> >  > >  >>  > >  >             make install
> >  > >  >>  > >  >
> >  > >  >>  > >  >     b.  To install into a private library, for example
>your
> >  >home
> >  > >  >>  > >  >         directory:
> >  > >  >>  > >  >
> >  > >  >>  > >  >             perl Makefile.PL \
> >  > >  >>  > >  >                  INSTALLSITELIB=$HOME/lib/perl \
> >  > >  >>  > >  >                  INSTALLMAN3DIR=$HOME/lib/perl/man/man3
> >  > >  >>  > >  >             make
> >  > >  >>  > >  >             make test
> >  > >  >>  > >  >             make pure_install
> >  > >  >>  > >  >
> >  > >  >>  > >  >     c.  Alternatively, you can just copy or move
>Telnet.pm
> >  > >  >>  > >  >         from the distribution into a directory named Net/
>in
> >  >the
> >  > >  >Perl
> >  > >  >>  > >  >         library.  You can then manually build the
> >  >documentation
> >  > >  >using
> >  > >  >>  > >  >         pod2man or pod2html.
> >  > >  >>  > >  >
> >  > >  >>  > >  >--
> >  > >  >>  > >  >Jay Rogers
> >  > >  >>  > >  >[email-masked]
> >  > >  >>  > >  >May 27, 2000
> >  > >  >>  > >  >~/temp/Net-Telnet-3.02 -> perl Makefile.PL
> >  > >  >>  > >  >Checking if your kit is complete...
> >  > >  >>  > >  >Looks good
> >  > >  >>  > >  >Writing Makefile for Net::Telnet
> >  > >  >>  > >  >~/temp/Net-Telnet-3.02 -> make
> >  > >  >>  > >  >Makefile:641: *** missing separator.  Stop.
> >  > >  >>  > >  >~/temp/Net-Telnet-3.02 ->
> >  > >  >>  > >  >~~~~~~~~~~~~~~~~~~~~~~~~~~~
> >  > >  >>  > >  >
> >  > >  >>  > >  >
> >  > >  >>  > >  >On Thu, 16 Nov 2000 12:51:35 -0500, Larry Hall (RFK
>Partners,
> >  >Inc)
> >  > >  >>  >wrote:
> >  > >  >>  > >  >
> >  > >  >>  > >  > >  
> >  > >  >>  > >  > >  At 12:12 PM 11/16/2000, Michael Cook wrote:
> >  > >  >>  > >  > >  >Hello,
> >  > >  >>  > >  > >  >   I have tried to compile many packages & every one
>fails
> >  >in
> >  > >  >the
> >  > >  >>  >'make'
> >  > >  >>  > >  > >  >stage. I Have read the FAQ's, searched the archives &
> >  >can't
> >  > >  >find
> >  > >  >>  >any
> >  > >  >>  > >  >ideas.
> >  > >  >>  > >  > >  >Below is a cygcheck -s -r. Can anyone help me with
>this?
> >  > >  >>  > >  > >  >     Michael
> >  > >  >>  > >  > >  
> >  > >  >>  > >  > >  
> >  > >  >>  > >  > >  How about a sample of the make failures?
> >  > >  >>  > >  > >  
> >  > >  >>  > >  > >  
> >  > >  >>  > >  > >  Larry Hall                              [email-masked]
> >  > >  >>  > >  > >  RFK Partners, Inc.                     
>http://www.rfk.com
> >  > >  >>  > >  > >  118 Washington Street                   (508) 893-9779
>-
> >  >RFK
> >  > >  >Office
> >  > >  >>  > >  > >  Holliston, MA 01746                     (508) 893-9889
>-
> >  >FAX
> >  > >  >>  > >  > >  
> >  > >  >>  > >  > >
> >  > >  >>  > >  >
> >  > >  >>  > >  >
> >  > >  >>  > >  >
> >  > >  >>  > >  >
> >  > >  >>  > >  >
> >  > >  >>  > >  >_______________________________________________________
> >  > >  >>  > >  >Tired of slow Internet? Get @Home Broadband Internet
> >  > >  >>  > >  >http://www.home.com/xinbox/signup.html
> >  > >  >>  > >  
> >  > >  >>  > >
> >  > >  >>  >
> >  > >  >>  >
> >  > >  >>  >
> >  > >  >>  >
> >  > >  >>  >
> >  > >  >>  >_______________________________________________________
> >  > >  >>  >Tired of slow Internet? Get @Home Broadband Internet
> >  > >  >>  >http://www.home.com/xinbox/signup.html
> >  > >  >>  
> >  > >  >>
> >  > >  >
> >  > >  >
> >  > >  >
> >  > >  >
> >  > >  >
> >  > >  >_______________________________________________________
> >  > >  >Tired of slow Internet? Get @Home Broadband Internet
> >  > >  >http://www.home.com/xinbox/signup.html
> >  > >
> >  >
> >  >
> >  >
> >  >
> >  >
> >  >_______________________________________________________
> >  >Tired of slow Internet? Get @Home Broadband Internet
> >  >http://www.home.com/xinbox/signup.html
> >  
> >
>
>
>
>
>
>_______________________________________________________
>Tired of slow Internet? Get @Home Broadband Internet
>http://www.home.com/xinbox/signup.html

--
Want to unsubscribe from this list?
Send a message to [email-masked]